Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.meta
Class Grading

    java.lang.Object
      weka.classifiers.Classifier
          weka.classifiers.MultipleClassifiersCombiner
              weka.classifiers.RandomizableMultipleClassifiersCombiner
                  weka.classifiers.meta.Stacking
                      weka.classifiers.meta.Grading

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, OptionHandler, Randomizable

    public class Grading

extends Stacking

Implements Grading. For more information, see

Seewald A.K., Fuernkranz J. (2001): An Evaluation of Grading Classifiers, in Hoffmann F.\ et al.\ (eds.), Advances in Intelligent Data Analysis, 4th International Conference, IDA 2001, Proceedings, Springer, Berlin/Heidelberg/New York/Tokyo, pp.115-124, 2001 Valid options are:

-X num_folds
The number of folds for the cross-validation (default 10).

-S seed
Random number seed (default 1).

-B classifierstring
Classifierstring should contain the full class name of a base scheme followed by options to the classifier. (required, option should be used once for each classifier).

-M classifierstring
Classifierstring for the meta classifier. Same format as for base classifiers. This classifier estimates confidence in prediction of base classifiers. (required)

Version:
  $Revision: 1.4.2.2 $
Author:
  Alexander K. Seewald (alex@seewald.at), Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`Grading()`

Method Summary
`double[]` | `distributionForInstance(Instance instance)` Returns class probabilities for a given instance using the stacked classifier.
`java.lang.String` | `globalInfo()` Returns a string describing classifier
`static void` | `main(java.lang.String[] argv)` Main method for testing this class.
`java.lang.String` | `toString()` Output a representation of this classifier

Methods inherited from class weka.classifiers.meta.Stacking
`buildClassifier, getMetaClassifier, getNumFolds, getOptions, listOptions, metaClassifierTipText, numFoldsTipText, setMetaClassifier, setNumFolds, setOptions`

Methods inherited from class weka.classifiers.RandomizableMultipleClassifiersCombiner
`getSeed, seedTipText, setSeed`

Methods inherited from class weka.classifiers.MultipleClassifiersCombiner
`classifiersTipText, getClassifier, getClassifiers, setClassifiers`

Methods inherited from class weka.classifiers.Classifier
`classifyInstance, debugTipText, forName, getDebug, makeCopies, makeCopy, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Grading

    public Grading()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing classifier

  Overrides:
    `globalInfo` in class `Stacking`
  Returns:
    a description suitable for displaying in the explorer/experimenter gui

### distributionForInstance

    public double[] distributionForInstance(Instance instance)
                                     throws java.lang.Exception

  Returns class probabilities for a given instance using the stacked classifier. One class will always get all the probability mass (i.e. probability one).

  Overrides:
    `distributionForInstance` in class `Stacking`
  Parameters:
    `instance` - the instance to be classified
  Returns:
    an array containing the estimated membership probabilities of the test instance in each class or the numeric prediction
  Throws:
    `java.lang.Exception` - if instance could not be classified successfully

### toString

    public java.lang.String toString()

  Output a representation of this classifier

  Overrides:
    `toString` in class `Stacking`

### main

    public static void main(java.lang.String[] argv)

  Main method for testing this class.

  Parameters:
    `argv` - should contain the following arguments: -t training file [-T test file] [-c class index]

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD